POSTCreateAccount

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/createaccount

Activate an account. Uses an already activated account to activate a new account. Users have to generate an account locally with wallet-cli or others SDKs like TronWeb, and then use this API to activate the account generated, or just simply transfer TRX to it.

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

account_addressstringrequired

Address of the account to be activated (format: Base58 or Hex). Example: TUZKijZ9Esy8JEkrqMpaVgtbDKKNA5p5CZ

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

Responses
owner_addressstring

Transaction initiator address. (Format: Base58 or Hex)

account_addressstring

Account address to be activated.

typeinteger

Account type (e.g., 0 for external accounts).

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/createaccount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "account_address": "TUZKijZ9Esy8JEkrqMpaVgtbDKKNA5p5CZ",
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string",
  "account_address": "string",
  "type": 0
}